net.sf.jasperreports.engine.base

## Class JRBaseBoxRightPen

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBasePen
  - - net.sf.jasperreports.engine.base.JRBaseBoxPen
    - - net.sf.jasperreports.engine.base.JRBaseBoxRightPen

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRBoxPen, Deduplicable, JRChangeEventsSupport, JRPen

      public class JRBaseBoxRightPen
      extends JRBaseBoxPen

  Version:
    $Id: JRBaseBoxRightPen.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseBoxPen

      `lineBox`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBasePen

      `lineColor, lineStyleValue, lineWidth, penContainer, PROPERTY_LINE_COLOR, PROPERTY_LINE_STYLE, PROPERTY_LINE_WIDTH`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPen

      `LINE_WIDTH_0, LINE_WIDTH_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseBoxRightPen(JRLineBox box)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPen` | `getPen(JRLineBox box)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseBoxPen

      `clone, getBox, getLineColor, getLineStyleValue, getLineWidth`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBasePen

      `clone, getEventSupport, getHashCode, getOwnLineColor, getOwnLineStyleValue, getOwnLineWidth, getStyleContainer, getStyleNameReference, isIdentical, setLineColor, setLineStyle, setLineWidth, setLineWidth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPen

      `clone, getOwnLineColor, getOwnLineStyleValue, getOwnLineWidth, getStyleContainer, setLineColor, setLineStyle, setLineWidth, setLineWidth`

- - ### Constructor Detail

    - #### JRBaseBoxRightPen

          public JRBaseBoxRightPen(JRLineBox box)

  - ### Method Detail

    - #### getPen

          public JRPen getPen(JRLineBox box)

      Specified by:
        `getPen` in interface `JRBoxPen`
      Overrides:
        `getPen` in class `JRBaseBoxPen`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com